<template>
  <li class="products__item">
    <div class="products__title">{{ product.title }}</div>
    <div class="products__count">{{ product.stock }}</div>
    <div class="products__price"><Price :price="price" /></div>
    <div class="products__button"><button @click="addToCart" :disabled="disabled">В корзину</button></div>
  </li>
</template>

<script>
import Price from '@/components/Price'

export default {
  name: 'Product',
  props: {
    product: {
      required: true,
      type: Object
    }
  },
  components: {
    Price
  },
  computed: {
    price () {
      return this.$store.getters['products/price'](this.product)
    },
    disabled () {
      return !this.product.inventory
    }
  },
  methods: {
    addToCart () {
      this.$store.dispatch('cart/addProduct', this.product)
    }
  }
}
</script>
